org.apache.ignite.internal.processors.cache.distributed.dht

## Class GridDhtTxFinishResponse

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.GridCacheMessage
  - - org.apache.ignite.internal.processors.cache.distributed.GridDistributedTxFinishResponse
    - - org.apache.ignite.internal.processors.cache.distributed.dht.GridDhtTxFinishResponse

All Implemented Interfaces:
  Serializable, Message

    public class GridDhtTxFinishResponse
    extends GridDistributedTxFinishResponse

DHT transaction finish response.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.processors.cache.GridCacheMessage

`addDepInfo, CACHE_MSG_INDEX_FIELD_NAME, forceAddDepInfo, MAX_CACHE_MSG_LOOKUP_INDEX`

### Fields inherited from interface org.apache.ignite.plugin.extensions.communication.Message

`DIRECT_TYPE_SIZE`

### Constructor Summary

Constructors
Constructor and Description
`GridDhtTxFinishResponse()` Empty constructor required by `Externalizable`.
`GridDhtTxFinishResponse(int part, GridCacheVersion xid, IgniteUuid futId, int miniId)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `checkCommitted()`
`void` `checkCommitted(boolean checkCommitted)`
`Throwable` `checkCommittedError()`
`void` `checkCommittedError(Throwable checkCommittedErr)`
`short` `directType()` Gets message type.
`byte` `fieldsCount()` Gets fields count.
`void` `finishUnmarshal(GridCacheSharedContext ctx, ClassLoader ldr)` This method is called after the message is deserialized and is responsible for unmarshalling state marshalled in `GridCacheMessage.prepareMarshal(GridCacheSharedContext)` method.
`int` `miniId()`
`void` `prepareMarshal(GridCacheSharedContext ctx)` This method is called before the whole message is serialized and is responsible for pre-marshalling state.
`boolean` `readFrom(ByteBuffer buf, MessageReader reader)` Reads this message from provided byte buffer.
`GridCacheReturn` `returnValue()`
`void` `returnValue(GridCacheReturn retVal)`
`String` `toString()`
`boolean` `writeTo(ByteBuffer buf, MessageWriter writer)` Writes this message to provided byte buffer.

### Methods inherited from class org.apache.ignite.internal.processors.cache.distributed.GridDistributedTxFinishResponse

`addDeploymentInfo, cacheGroupMessage, futureId, handlerId, isFlag, messageLogger, partition, setFlag, xid`

### Methods inherited from class org.apache.ignite.internal.processors.cache.GridCacheMessage

`appendFlag, classError, deployInfo, error, finishUnmarshalCacheObjects, finishUnmarshalCacheObjects, ignoreClassErrors, lookupIndex, marshalCollection, marshalInfo, marshalInfos, marshalInvokeArguments, marshalTx, messageId, nextIndexId, onAckReceived, onClassError, partitionExchangeMessage, prepare, prepareMarshalCacheObject, prepareMarshalCacheObjects, prepareMarshalCacheObjects, prepareObject, prepareObject, topologyVersion, transferExpiryPolicy, unmarshalCollection, unmarshalInfo, unmarshalInfos, unmarshalInvokeArguments, unmarshalTx`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GridDhtTxFinishResponse

    public GridDhtTxFinishResponse()

Empty constructor required by `Externalizable`.

#### GridDhtTxFinishResponse

    public GridDhtTxFinishResponse(int part,
                                   GridCacheVersion xid,
                                   IgniteUuid futId,
                                   int miniId)

Parameters:
  `part` - Partition.
  `xid` - Xid version.
  `futId` - Future ID.
  `miniId` - Mini future ID.

### Method Detail

#### miniId

    public int miniId()

Returns:
  Mini future ID.

#### checkCommittedError

    public Throwable checkCommittedError()

Returns:
  Error for check committed backup requests.

#### checkCommittedError

    public void checkCommittedError(Throwable checkCommittedErr)

Parameters:
  `checkCommittedErr` - Error for check committed backup requests.

#### checkCommitted

    public boolean checkCommitted()

Returns:
  Check committed flag.

#### checkCommitted

    public void checkCommitted(boolean checkCommitted)

Parameters:
  `checkCommitted` - Check committed flag.

#### prepareMarshal

    public void prepareMarshal(GridCacheSharedContext ctx)
                        throws IgniteCheckedException

This method is called before the whole message is serialized and is responsible for pre-marshalling state.

Overrides:
  `prepareMarshal` in class `GridCacheMessage`
Parameters:
  `ctx` - Cache context.
Throws:
  `IgniteCheckedException` - If failed.

#### finishUnmarshal

    public void finishUnmarshal(GridCacheSharedContext ctx,
                                ClassLoader ldr)
                         throws IgniteCheckedException

This method is called after the message is deserialized and is responsible for unmarshalling state marshalled in `GridCacheMessage.prepareMarshal(GridCacheSharedContext)` method.

Overrides:
  `finishUnmarshal` in class `GridCacheMessage`
Parameters:
  `ctx` - Context.
  `ldr` - Class loader.
Throws:
  `IgniteCheckedException` - If failed.

#### returnValue

    public void returnValue(GridCacheReturn retVal)

Parameters:
  `retVal` - Return value.

#### returnValue

    public GridCacheReturn returnValue()

Returns:
  Return value.

#### writeTo

    public boolean writeTo(ByteBuffer buf,
                           MessageWriter writer)

Writes this message to provided byte buffer.

Specified by:
  `writeTo` in interface `Message`
Overrides:
  `writeTo` in class `GridDistributedTxFinishResponse`
Parameters:
  `buf` - Byte buffer.
  `writer` - Writer.
Returns:
  Whether message was fully written.

#### readFrom

    public boolean readFrom(ByteBuffer buf,
                            MessageReader reader)

Reads this message from provided byte buffer.

Specified by:
  `readFrom` in interface `Message`
Overrides:
  `readFrom` in class `GridDistributedTxFinishResponse`
Parameters:
  `buf` - Byte buffer.
  `reader` - Reader.
Returns:
  Whether message was fully read.

#### directType

    public short directType()

Gets message type.

Specified by:
  `directType` in interface `Message`
Overrides:
  `directType` in class `GridDistributedTxFinishResponse`
Returns:
  Message type.

#### fieldsCount

    public byte fieldsCount()

Gets fields count.

Specified by:
  `fieldsCount` in interface `Message`
Overrides:
  `fieldsCount` in class `GridDistributedTxFinishResponse`
Returns:
  Fields count.

#### toString

    public String toString()

Overrides:
  `toString` in class `GridDistributedTxFinishResponse`

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.6.0
Release Date | : July 10 2018